Subject: [v6ops] Comments on draft-ietf-v6ops-enterprise-incremental-ipv6-01

From: Philip Matthews <[email-masked]>
Date: Thu, 1 Nov 2012 11:38:36 -0400

Hi authors:

I really like this draft. I find it well written and quite insightful.

Here are a few comments based on a fairly quick read:

1) Section 4.1 on external connectivity has the following paragraph:
   PI and PA space have additional contrasting behaviours when use such
   as how dual homing may work.  Should an operator choose to dual home,
   PI space would be routed to both upstream providers and then passed
   on to other networks.  Utilizing more then one upstream Service
   Provider may introduce challenges since traffic utilizing a given PA
   assign block would be expected to flow through the assigning provider
   for entry to the Internet.  Should traffic flow using sources
   addresses which are not delegated form a given provider, reverse path
   forwarding rules on the operator side may reject some traffic.  These
   considerations are quite different then those of IPv4 which relied on
   NAT in most cases.
There seems to be a sudden jump in the discussion here starting with the sentence "Utilizing ...". Before you were talking about PI space, then you suddenly jump and talk about a concern with using PA space.

2) Also in section 4.1, you don't say anything about the third approach of getting PA space from two providers and using NAT66.

3) And section 4.1 also contains the following rather interesting sentence:
   On significant factor guiding how an organization may
   need to communist with the outside world will involve the use of PI
   (Provider Independent) and/or PA (Provider Aggregatable) IPv6 space.
s/On/One/
s/communist/communicate/

4) A meta-question:  Some of the advice in this document is not specific to the enterprise situation. I am wondering if it would be helpful to pull that part out into a separate document?  No strong opinion here -- just an observation for now.

- Philip